LXRAD 0.7

Public Member Functions
CCanvas Class Reference

Canvas Control. More...

`#include <ccanvas.h>`

Inheritance diagram for CCanvas:

## Public Member Functions
int | Create (wxWindow *drawable, int directdraw)
int | Create (wxWindow *drawable, wxBitmap *bitmap)
void | Destroy (void)
void | Init (void)
void | Init (double sx, double sy, int angle=0)
void | ChangeScale (double sx, double sy)
void | End (void)
wxDC * | GetDC (void)
wxClientDC * | GetWDC (void)
wxBitmap * | GetBitmapBuffer (void)
wxWindow * | GetDrawable (void)
void | SetBitmap (wxBitmap *bitmap, double xs, double ys)
void | SetFunction (wxRasterOperationMode function)
void | SetColor (wxColor color)
void | SetColor (lxString color)
void | SetColor (uint r, uint g, uint b)
void | SetFgColor (wxColor color)
void | SetFgColor (lxString color)
void | SetFgColor (uint r, uint g, uint b)
void | SetFont (wxFont font)
wxColor | GetFgColor (void)
void | SetBgColor (wxColor color)
void | SetBgColor (lxString color)
void | SetBgColor (uint r, uint g, uint b)
wxColor | GetBgColor (void)
void | SetLineWidth (uint lwidth)
uint | GetLineWidth (void)
void | Point (float x, float y)
void | Points (wxPoint *points, int npoints)
void | Line (float x1_, float y1_, float x2_, float y2_)
void | Lines (wxPoint *points, int npoints)
void | Spline (wxPoint *points, int npoints)
void | Rectangle (bool filled, float x, float y, float width, float height)
void | Arc (bool filled, int x, int y, int x1, int y1, int x2, int y2)
void | Circle (bool filled, float x, float y, float radius)
void | Text (lxString str, float x, float y)
void | RotatedText (lxString str, float x, float y, float angle)
void | TextOnRect (lxString str, wxRect, unsigned int align)
void | Polygon (bool filled, wxPoint *points, int npoints)
void | Ellipse (bool filled, int x, int y, int width, int height)
void | EllipticArc (bool filled, int x, int y, int width, int height, double start, double end)
void | PutBitmap (wxBitmap *bitmap, float x, float y)
void | FloodFill (int x, int y, wxColor color, wxFloodFillStyle style)
Public Member Functions inherited from CObject
void | SetName (const lxString name)
lxString | GetName (void)
lxString | GetClass (void)
void | SetClass (const lxString classn)
virtual lxStringList | GetContext (void)
virtual void | SetContext (lxStringList context)
bool | GetEv (bool reset=false)
void | SetEv (bool value, bool reset=false)
void | SetTag (uint tag)
uint | GetTag (void)
void | SetAux (int tag)
int | GetAux (void)

## Additional Inherited Members
Protected Attributes inherited from CObject
bool | Ev [EVMAX]
uint | Evcount
lxString | Name
lxString | Class
lxStringList | Context
uint | Tag
int | Aux

## Detailed Description

Canvas Control.

Generic Canvas Class.

Definition at line 43 of file ccanvas.h.

## Member Function Documentation

## ◆ GetBgColor()

wxColor CCanvas::GetBgColor | ( | void |  | ) |

Get Background Color.

Returns
  wxColor.

## ◆ SetBgColor() [1/3]

void CCanvas::SetBgColor | ( | lxString | color | ) |

Set Background Color by name.

Parameters

  color | name.

Returns
  void.

## ◆ SetBgColor() [2/3]

void CCanvas::SetBgColor | ( | uint | r,
|  | uint | g,
|  | uint | b
| ) |  |

Set Background Color by rgb.

Parameters

  r | Red color.
  g | Green color.
  b | Blue color.

Returns
  void.

## ◆ SetBgColor() [3/3]

void CCanvas::SetBgColor | ( | wxColor | color | ) |

Set Background Color by wxColor.

Parameters

  color. |

Returns
  void.

The documentation for this class was generated from the following file:

- include/ccanvas.h